# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="2016-09-22-v1";
  name = "openlayer-simplemap-blog-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchurl {
    url = "https://gogs.prunetwork.fr/jpierre03/openlayer-simplemap/archive/${version}.tar.gz";
    sha256 = "0z7b2rc2xrwrkgsdf8nc9azbqhvf062xf6ad8clrmgn1lax9zki4";
  };

  installPhase = "cp -R . \$out";
}
